---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: message-hub
  namespace: message-hub
spec:
  values:
    services:
      backend:
        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/message-hub:production_d11aa910

        envs:
          - name: WORKER_TIMEOUT
            value:
              _default: "60"

          - name: PYTHONPATH
            value:
              _default: "src"

          - name: SETTINGS_MAX_RETRIES
            value:
              _default: "1"

          - name: SETTINGS_TOPICS
            value:
              _default: '{"planning": "message-hub-prod", "assets":"assets_broadcast","issues": "issues_broadcast_prod"}'

          - name: SETTINGS_PDF_CONVERTER_HOST
            value:
              _default: "http://export-project-service.django.svc.cluster.local:8000"

          - name: SAREX_BASE_HOST
            value:
              _default: "http://backend-service.pm.svc.cluster.local:8000"

          - name: CACHE_HOST
            value:
              _default: "redis.pm.svc.cluster.local"

          - name: CACHE_PORT
            value:
              _default: "6379"

          - name: PDF_CONVERTER_HOST
            value:
              _default: "http://export-project-service.django.svc.cluster.local:8000"

          - name: PM_HOST
            value:
              _default: "http://backend-service.pm.svc.cluster.local:8000"

          - name: DB_HOST
            value:
              _default: "postgres-service.pm.svc.cluster.local"

          - name: DB_PORT
            value:
              _default: "5432"

          - name: DB_DATABASE
            value:
              _default: "pm"

          - name: CACHE_SSL
            value:
              _default: "0"

          - name: KAFKA_HOST
            value:
              _default: "donstroi-kafka-bootstrap.kafka.svc.cluster.local"

          - name: KAFKA_PORT
            value:
              _default: "9093"

          - name: KAFKA_SECURITY_PROTOCOL
            value:
              _default: "SSL"

          - name: KAFKA_SASL_MECHANISM
            value:
              _default: "PLAIN"

          - name: KAFKA_SSL_CAFILE
            value:
              _default: "/usr/local/share/ca-certificates/kafka.crt"
